package cn.yw.video.videoalarm.model;

import cn.base.bean.BaseBean;
//[运维监控任务运行批次表]

public class YwvideotaskrunsetBean extends BaseBean implements java.io.Serializable {
	private String runsetid;//[批次id]
	private String taskid;//[任务id]
	private String taskname;//[任务名称]
	private int tasktype;//[任务类型]
	private String channelsetid;//[通道集合id]
	private int runstatus;//[执行状态]
	private int runprogress;//[执行进度]
	private String runtime;//[执行时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setRunsetid(String runsetid){
		this.runsetid = runsetid;
	}
	public String getRunsetid(){
		return runsetid;
	}
	public void setTaskid(String taskid){
		this.taskid = taskid;
	}
	public String getTaskid(){
		return taskid;
	}
	public void setTaskname(String taskname){
		this.taskname = taskname;
	}
	public String getTaskname(){
		return taskname;
	}
	public void setTasktype(int tasktype){
		this.tasktype = tasktype;
	}
	public int getTasktype(){
		return tasktype;
	}
	public void setChannelsetid(String channelsetid){
		this.channelsetid = channelsetid;
	}
	public String getChannelsetid(){
		return channelsetid;
	}
	public void setRunstatus(int runstatus){
		this.runstatus = runstatus;
	}
	public int getRunstatus(){
		return runstatus;
	}
	public void setRunprogress(int runprogress){
		this.runprogress = runprogress;
	}
	public int getRunprogress(){
		return runprogress;
	}
	public void setRuntime(String runtime){
		this.runtime = runtime;
	}
	public String getRuntime(){
		return runtime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}